/*
 * KernelConf - A Linux Kernel Configuration System
 *
 * Distributed under GNU General Public Lisence
 *
 * Copyright (C) 2002 by Anuradha Ratnaweera
 */

#ifndef _KCONF_READSYMBOLS_H
#define _KCONF_READSYMBOLS_H

#define TAG_EOF	        (-1)
#define TAG_NULL          0
#define TAG_BLANK         1
#define TAG_INCLUDE       2
#define TAG_SYMBOL        3
#define TAG_TYPE          4
#define TAG_VALUE         5
#define TAG_DESC          6
#define TAG_DESC_LINE     7
#define TAG_MENU_ITEM     8
#define TAG_MENU_CAPTION  9 
#define TAG_MENU_PARENT  10 

#define MAX_LINE_SIZE	2048

int readsymbols(char*);

#endif /* _KCONF_READSYMBOLS_H */
